Next Generation Emulation banner

1 - 9 of 9 Posts

·
Registered
Joined
·
33 Posts
Discussion Starter · #1 ·
Apparently, I am unable to enable the SPU IRQ hack with ePSXe. I checked the option to enable it, but the sound was still messed up in Metal Gear Solid. I restarted the emulator, and the SPU IRQ hack option was disabled again. Can someone explain why this is? The SPU IRQ hack works fine with PSXEven, but unless I'm missing something I can't use my gamepad with PSXEven. So, can anyone either tell me why the sound hack doesn't work with ePSXe, or how to use gamepads with PSXEven?
 

·
Coffee Demon
Joined
·
2,907 Posts
Are you using The SPU IRQ Hack in the ePSXe options menu? or are you using the SPU IRQ functions in either PEOPs SPU or Eternal SPU? We advise you to use the option in the SPU plugins
 

·
Registered
Joined
·
33 Posts
Discussion Starter · #4 ·
Dark Watcher said:
Are you using The SPU IRQ Hack in the ePSXe options menu? or are you using the SPU IRQ functions in either PEOPs SPU or Eternal SPU? We advise you to use the option in the SPU plugins
I have tried with the sound hack enabled with both Eternal SPU 1.41 and P.E.Op.S. 1.7. I'm pretty sure the reason the sound isn't working is because I can't enable it from the ePSXe menu.
 

·
Coffee Demon
Joined
·
2,907 Posts
Actually no

The SPU IRQ Hack in ePSXe is only meant for use with the core ePSXe SPU only. If you enable it with any other SPU plugins it can cause some serious sound problems ;)
 

·
Registered
Joined
·
33 Posts
Discussion Starter · #6 ·
All right, I tried the SPU hack with PEOpS 1.9 and it worked, so I guess there was a problem with the earlier plugins. I still don't understand why I can't enable it from the ePSXe menu, though.

One more question, is it possible to use the pad plugins with ePSXe? I tried the NRage plugin with PSXEven and it worked a lot better than the default one for ePSXe, but I don't see an option to use different pad plugins with ePSXe.
 

·
unborn
Joined
·
20 Posts
Whaddaya mean you cant use pad plugins with epsxe???

You can use them, I think that one of them is called dr.hell's pad plugin.
But I think that you need EpsxeCutor to manage pad plugins.


btw, gaopjlll, have you tried using the -forcespu command line?
 

·
Premium Member
bsnes, ePSXe
Joined
·
21,978 Posts
ultima0 said:
Whaddaya mean you cant use pad plugins with epsxe???
he meant exactly what he said: you can't use pad plugins with ePSXe. it was supposed to be added to 1.6.0 but that data was lost. so as it stands, ePSXe does not support pad plugins.
 
1 - 9 of 9 Posts
Top